Page MenuHomePhabricator

Allow client-supplied summaries in all API modules
Closed, ResolvedPublic

Description

API modules that perform edits should allow the client to provide an edit summary. This is especially important for modules like EditEntity or SetClaim, that allow for complex manipulations for which we can't automatically generate a meaningful summary.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=46537

Details

Reference
bz50307

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:42 AM
bzimport set Reference to bz50307.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Jun 27 2013, 5:50 PM

this adds support for modules deriving from ModifyEntity:
https://gerrit.wikimedia.org/r/#/c/75845/

support for claim modules still missing.

The above change has been merged.

support for claim modules still missing.

Change 76725 had a related patch set uploaded by Tobias Gritschacher:
Use ChangeOps for wbsetclaimvalue and wbcreateclaim

https://gerrit.wikimedia.org/r/76725

Verified in Wikidata demo July 31th.

Change 76725 merged by jenkins-bot:
Use ChangeOps for wbsetclaimvalue and wbcreateclaim

https://gerrit.wikimedia.org/r/76725

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 12 2015, 7:29 PM